<?php defined('_JEXEC') or die('Restricted access');

/**
 * @version 2.0 $Id: default_one.php,v 1.5 2011-04-05 19:01:01 harry Exp $
 * @package Joomla
 * @subpackage H2N Link Directory 2
 * @copyright (C) 2008 - 2009 Harry Klein - www.joomla-hklein.de
 * @Copyright (C) 2006 Soner (pisdoktor) Ekici - www.sonerekici.com
 * @license GNU/GPL, see LICENSE.php
 * 
 * H2N Link Directory 2 is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.
 *
 * H2N Link Directory 2 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EventList; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

require_once(JPATH_COMPONENT.DS.'classes'.DS.'LinkdirectoryURL.php');

class HtmlRow {
	private $_sublimit = 0;
	
	public function __construct($maxSubCategories){
		$this->_maxSubCategories = $maxSubCategories;
	}

	/**
	 * Ausgabe der Subkategorien, wenn diese angezeigt werden sollen. 
	 *
	 * @param int_type $subcategories
	 * @param int $sublimit Maximale Anzahl der anzuzeigenden SubKategorien 
	 */
	public function displaySubCategories (&$subcategories){
		if ($this->_maxSubCategories >0){
			$amountSubCategories = count( $subcategories );
			if (($amountSubCategories > 0) && ($amountSubCategories > $this->_maxSubCategories)) {
				array_pop($subcategories);
				$amountSubCategories = $this->_maxSubCategories;
				$row  = $subcategories[0];
				$readMorelink = LinkdirectoryURL::getCatURL('categories', null, $row->parent_id);
				
				$msg=JText::_('READMORE');
				$extraHTMLforReadMore='<a href="'.$readMorelink.'">'.$msg.'</a>';
			} else {
				$extraHTMLforReadMore='';
			} ?>
			
			<div class="navcontainer">
				<ul class="navlist"> 
				<?php
				foreach($subcategories as $subcategory){
					$link = LinkdirectoryURL::getCatURL('categories', null, $subcategory->id);
					?><li><a href="<?php echo $link; ?>"><?php echo $subcategory->name; ?></a></li><?php
				}
				if ($extraHTMLforReadMore){
					?><li><?php echo $extraHTMLforReadMore ?></li><?php
				}
				?>
				</ul>
			</div> 
			<?php			
		}
	}
}

$html=new HtmlRow($this->maxSubCategories);

if (count($this->rows_of_category)) {
	?>
<table id="ldcategorielist_one" width="100%" border="0" cellspacing="0" cellpadding="0">
	<?php
	$k = 0;
	foreach ($this->rows_of_category as $row){
		$link = JRoute::_(LinkdirectoryURL::getCatURL('categories',null, $row->id));
		
	?>
		<tr class="<?php echo $this->tabclass[$k].'-cat'; ?>">
		<td class="link-cat-one-row" width="18"><img src="components/com_linkdirectory2/images/folder.png" align="middle" width="18" height="18"/></td>
		<td class="link-cat-one-row" width="50%"  valign="top">
	<?php  
		if ($row->linksOrSubCategoriesAvailable){
		?> <a href="<?php echo $link;?>"><span class="ld_mainCat_large"><?php echo $row->name;?></span></a><?php
		} else {
			?><span class="ld_mainCatNonLink"><?php echo $row->name;?></span><?php
		}		
		?>  
		</td>
		<td class="link-cat-one-row" width="50%"><?php echo $row->description;?></td>
		<td class="link-cat-one-row" width="5%"><?php echo $row->totalLinkAndSubCatHtml; ?></td>
		</tr>
		<?php if (count($row->subCategories) > 0){ ?>
		<tr>
		<td>&nbsp;</td>
		<td colspan="3" class="link-cat"><?php $html->displaySubCategories($row->subCategories); ?></td>
		</tr>
		<?php }?>
		<?php
		$k = 1 - $k;
	}
?>
</table>
<?php
}
?>
